Page MenuHomePhabricator

Replace asw-c5-eqiad or asw-c8-eqiad with EX4550
Closed, ResolvedPublic

Description

All the memcached servers are on asw2-a5-eqiad, which is currently a SPOF. The
situation for the Varnish servers is similar, and they need 10G as well.
Let's move half the memcached servers, and half the varnish (10G) servers to C5
or C8, with an EX4550 as part of the row stack.
Tampa has some EX4550s now, we should ship them over. What we don't have, we
should order ASAP.
--
Mark Bergsma <mark at wikimedia>
Lead Operations Architect
Wikimedia Foundation

Details

Reference
rt5106

Event Timeline

rtimport raised the priority of this task from to Medium.Dec 18 2014, 1:36 AM
rtimport added a project: netops.
rtimport set Reference to rt5106.
mark created this task.May 8 2013, 2:56 PM

No progress in the ticket since May, despite the relative urgency of this (Mark's request mentioned "ASAP"). Racktables seems to indicate that this actually hasn't happened.
Where is this blocked? Is it hardware or someone (who?) doing the work?

Status changed from 'new' to 'open' by RT_System

-- We have an EX4500 in place on c8 now....Last chat with Mark was to replace
the 4500 with a 4550 but we have the varnish servers there now so a plan needs
to be made on swapping out the switch.
Chris Johnson
Wikimedia Foundation, Inc

Given to mark by cmjohnson

chasemp set Security to None.
mark raised the priority of this task from Medium to High.Feb 5 2015, 6:52 PM

Robh asked in IRC channel about which servers were 10G.

asw-a5 - ex4500 all mc and cp1058-1070, ms-fe1001-1002
asw-c8 - ex4500 - cp 1045-cp1057, ms-fe1003 and ms-fe1004
asw-d6 - ex4550 - empty
asw-d7 - ex4550 - empty
asw-d8 -ex4550 - empty

faidon closed this task as Resolved.Feb 11 2015, 10:20 AM
faidon added a subscriber: faidon.

asw-c8 is a 10G switch now (4500, though). As mentioned above, we also have row D nowadays.

The other half of this task, the memcached servers reshuffling, is covered by T83551. Resolving.

faidon changed the visibility from "WMF-NDA (Project)" to "Public (No Login Required)".
faidon changed the edit policy from "WMF-NDA (Project)" to "All Users".